[issue]: https://github.com/PlaceholderAPI/PlaceholderAPI/issues/new
[discord]: https://helpch.at/discord
[code of conduct]: https://github.com/PlaceholderAPI/PlaceholderAPI/blob/master/CODE_OF_CONDUCT.md
[wiki]: https://github.com/PlaceholderAPI/PlaceholderAPI/blob/docs/wiki/wiki
[dev]: https://github.com/PlaceholderAPI/PlaceholderAPI/tree/development
[style]: https://github.com/PlaceholderAPI/PlaceholderAPI/tree/master/config/style

# Contributing Guidelines
We welcome everyone to contribute towards the PlaceholderAPI Project, but doing so will require you to follow specific rules to keep a consistent and welcoming way of contributing.

If you have any questions about contributions towards the project, feel free to contact us on our [Discord Server][discord].

## Issues
Like any other project can you encounter bugs or a feature is missing for you in the plugin.  
For that, you can open an [issue] to report a bug, or suggest a new feature to be added.

When doing so, make sure you follow rules below:

### Follow the template
We have issue templates to help us get the required information more easily. Please follow the provided template when either filing a bug report or feature request.  
Your issue may be closed without warning for not following the template.

### Use the latest version
When it comes to bug reports should you always check first, that you're using the latest release of PlaceholderAPI.  
Often the bug you've encountered, is fixed in a newer version.

The same rules apply when making a feature request.

### No duplicate issue
Make sure that there aren't any existing issues relating to the problem, which are still open, or are closed with a solution/explanation.  
Opening a separate issue for a bug report or feature request, that already exists on the issue tracker only slows down the process of fixing the bug or implementing the feature.

If an issue with the bug or feature you want to report/suggest exists, comment on it with your info (bug reports) or give it a :thumbsup: (Feature Request) to show that this is important for you.

### Issue isn't caused by external source
PlaceholderAPI provides a feature to have expansions (separate jar files) for placeholders. This gives it a possability that an issue you encounter is caused by said expansions or a separate plugin that uses those expansions.  
In those cases should you report the issue to the issue tracker of the expansion or plugin.

## Pull requests
As an open source project are we welcoming all contributions to improve PlaceholderAPI, being it changes to its code like bug fixes or new features, or contributions to its documentation such as the [Wiki] or the Javadoc.

### Code contributions
Any contributions to PlaceholderAPI's code should be done towards the [`development`][dev] branch. Targeting the `master` branch in your Pull request may get it closed without warning.  
Additionally should you follow the project's codestyle which you can find in the [`config/style`][style] directory.

### Wiki/Javadoc contributions
If your pull request only targets the [wiki] or only changes the javadoc comments of PlaceholderAPI (And not its actual code), it should be to `docs/wiki` branch.  
The develop branch should only be targeted when you also change some of PlaceholderAPI's code.

## Code of Conduct
We have a [Code of Conduct] to maintain a welcoming atmosphere in this project.  
If your contributions go against the Code of Conduct, linked above, we reserve the right to deny or revert your contributions.
